Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 659)
@@ -22,4 +22,5 @@
 info = {}
 info['is_manager'] = context.isManager
+info['is_student'] = context.isStudent()
 member_id = str(member)
 if student is None:
@@ -58,8 +59,7 @@
 else:
     info['acco'] = None
-    
-items = []    
-sos = context.portal_catalog(container_path=student_path,
-                             review_state = ['opened', 'closed'])
+
+items = []
+sos = context.portal_catalog(container_path=student_path)
 for so in sos:
     row = {}
@@ -69,5 +69,7 @@
     row['title'] = sod.Title()
     row['url'] = soo.absolute_url()
+    row['type'] = so.portal_type
     row['is_editable'] = mtool.checkPermission('Modify portal content', soo)
+    row['review_state'] = so.review_state
     items.append(row)
 info['items'] = items
Index: WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 659)
@@ -8,4 +8,5 @@
 current = DateTime.DateTime()
 pr = context.portal_registration
+wftool = context.portal_workflow
 
 info = context.getStudentInfo()
@@ -15,5 +16,5 @@
 pr = context.portal_registration
 session = current.year()
-acco_id = 'Acco_%s' % session
+acco_id = 'accommodation_%s' % session
 info = context.getStudentInfo()
 student = info['student']
@@ -27,5 +28,5 @@
                       layout_mode='create',
                       formaction = "reserve_accommodation",
-                      button = "book Bed",
+                      button = "Book",
                       )
 if psm == 'invalid':
@@ -47,5 +48,5 @@
     s_id = ds.get('s_id')
     pin = str(ds.get('acco_res_ac_pin'))
-    
+
     pa = context.portal_accommodation
     code,bed = pa.searchAndReserveBed(s_id,"%s_%s" % (info['sex'],ds.get('student_status')))
@@ -59,4 +60,5 @@
 student.invokeFactory('StudentAccommodation',acco_id)
 acco = getattr(student,acco_id)
+wftool.doActionFor(acco,'open',dest_container=acco)
 ds.set('acco_res_date', current)
 ds.set('bed', bed)
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 659)
@@ -48,5 +48,5 @@
                                     use_session=True)
         action = "/passport_entry_view"
-        if is_valid and app_doc.passport is not None:
+        if app_doc.passport is not None:
             psm = 'You successfully uploaded your passport image.'
             args = {'apply_button': 'Apply',}
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 659)
@@ -21,15 +21,14 @@
 
 if context.isManager():
-    return redirect("%s/academics_contents" % context.absolute_url())
+    return redirect("%s/student_view" % context.absolute_url())
 if context.isStudent():
     info = context.getStudentInfo()
     student = info['student']
-#    doc = info['app_doc']
-#    state = context.getStudentInfo()['review_state']
-#    if state == 'admission_applied':
-#    	elif state == 'application_pin_entered':
-#        return redirect("%s/passport_entry_view" % student.absolute_url())
-
-    return redirect("%s/student_view" % student.absolute_url())
+    doc = info['app_doc']
+    state = context.getStudentInfo()['review_state']
+    if state == 'admission_applied':
+        return redirect("%s/application_view" % student.absolute_url())
+    elif state == 'application_pin_entered':
+        return redirect("%s/passport_entry_view" % student.absolute_url())
 
 
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 659)
@@ -1,4 +1,5 @@
 <metal:html tal:define="info context/getStudentInfo;
-                is_manager info/is_manager|nothing;">
+                is_manager info/is_manager|nothing;
+                is_student info/is_student|nothing">
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
@@ -9,18 +10,19 @@
             tal:define="review_state info/review_state;
                         rows python: info['items']">
+
+      <a href="" tal:condition="is_manager"
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
             
-        <h3>My Study Data</h3>
+        <h3 tal:content="info/student/Title" />
         <br />
 
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+        <table tal:condition="is_manager" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <tr tal:repeat="row rows"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
-              
-            </td>
             <td><a href="view" tal:attributes="href string:${row/url}">
               <strong tal:content="row/title" /></a> </td>
-            
             <td> 
             <a tal:condition="row/is_editable"
@@ -31,7 +33,32 @@
             </a> 
             </td>
-            
           </tr>
         </table>
+
+        <table tal:condition="is_student" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <span tal:repeat="row rows">
+          <tr tal:condition="python:row['type'] == 'StudentApplication' and row['review_state'] in ['opened', 'closed']"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td><a href="view" tal:attributes="href string:${row/url}/application_view">
+              <strong tal:content="row/title" /></a> </td>
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${here/absolute_url}/passport_entry_view">
+                [edit]
+            </a> 
+            </td>
+          </tr>
+          
+          <tr tal:condition="python:row['type'] == 'StudentAccommodation' and row['review_state'] in ['opened', 'closed']"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td><a href="view" tal:attributes="href string:${row/url}/accommodation_view">
+              <strong tal:content="row/title" /></a> </td>
+            <td> 
+            </td>
+          </tr>
+          
+          </span>
+        </table>
+
         
       </span>
